## ubuntu-drivers-common 0.2.71

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.71) quantal; urgency=low

  * tests/ubuntu_drivers.py: When calling PackageKit, retry up to 5 seconds on
    o.f.d.Error.ServiceUnknown, so that this also works reliably on our slow
    ARM builders. (LP: #1061748)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Oct 2012 08:25:30 +0200

ubuntu-drivers-common (1:0.2.70) quantal; urgency=low

  * UbuntuDrivers/detect.py: Never recommend a driver which has "experiment"
    in the name, unless no other driver is available.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Oct 2012 22:59:33 +0200

ubuntu-drivers-common (1:0.2.69) quantal; urgency=low

  * Drop share/last_gfx_boot, and stop installing it in setup.py. This file is
    created and updated at runtime and should not be shipped in the package.
    (LP: #1045629)
  * setup.py: Only install the upstart job on platforms where we build
    hybrid-detect. (LP: #1045193)
  * debian/rules: On architectures which do not ship hybrid-detect, generate a 
    .maintscript helper to clean up the /etc/init/hybrid-gfx.conf upstart job
    conffile on upgrade.
  * tests/ubuntu_drivers.py: Add test for a video driver which supports
    multiple X.org video ABIs. Reproduces LP #1033222.
  * UbuntuDrivers/detect.py, _check_video_abi_compat(): Do not only consider
    the first xorg-video-abi-* dependency, but all of them. (LP: #1033222)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Sep 2012 15:18:26 +0200

ubuntu-drivers-common (1:0.2.68) quantal; urgency=low

  * setup.py: Fix hybrid_detect installation. (LP: #1026787)

 -- Jason Conti <jason.conti@gmail.com>  Fri, 20 Jul 2012 05:45:14 +0200

ubuntu-drivers-common (1:0.2.67) quantal; urgency=low

  * setup.py: Install hybrid-detect through data_files instead of scripts, as
    the later stopped working with python 3.2.3-3 (see LP #1026016)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jul 2012 10:23:05 +0200

ubuntu-drivers-common (1:0.2.66) quantal; urgency=low

  * UbuntuDrivers/detect.py, system_device_drivers(): Add driver flag
    "manual_installed" if none of the driver packages are installed, but the
    corresponding kernel module is available. This usually means that the user
    installed the driver manually from upstream. (LP: #1025632)
  * share/fake-devices-wrapper: If $FAKE_INSTALLED_KMOD is set, run the
    wrapped program with a "modinfo" wrapper in $PATH which claims that the
    given kernel module name is available. This can be used to test the
    "manually installed driver" case.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jul 2012 09:29:59 +0200

ubuntu-drivers-common (1:0.2.65) quantal; urgency=low

  * UbuntuDrivers/detect.py, system_driver_packages(): Add 'recommended' flag
    to the nvidia-* and fglrx-* packages, which usually provide more than one
    package for a particular device. (LP: #1025315)
  * UbuntuDrivers/detect.py, auto_install_filter(): Filter out non-recommended
    packages, to avoid installing multiple versions of the NVidia or FGLRX
    driver.
  * UbuntuDrivers/detect.py: Change return value of detect_plugin_packages()
    to a plugin_name → [package, ...] map, so that we retain the plugin names.
  * UbuntuDrivers/detect.py: Add system_device_drivers() API to get a
    by-device view of drivers, plus OS builtin free alternatives (such as
    Nouveau). Add it to README as well. (LP: #1025323)
  * ubuntu-drivers: Add "device" command to show by-device drivers as reported
    by system_device_drivers().

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 17 Jul 2012 15:48:44 +0200

ubuntu-drivers-common (1:0.2.64) quantal; urgency=low

  * debian/control: Add pciutils and usbutilsl build/binary dependencies, so
    that pci-db and usb-db actually have some data files to work with.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jul 2012 11:08:02 +0200

ubuntu-drivers-common (1:0.2.63) quantal; urgency=low

  * debian/control: Add udev build/binary dependency, to ensure we have pci-db
    and usb-db.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jul 2012 10:52:46 +0200

ubuntu-drivers-common (1:0.2.62) quantal; urgency=low

  * debian/control: As the PackageKit apt backend is going away, drop the
    Conflicts to packagekit-backend-aptcc. Instead, recommend
    python3-aptdaemon.pkcompat and update the description to point out that
    the PackageKit API does not work with the aptcc backend.
    (LP: #1023953)
  * UbuntuDrivers.detect.py, system_driver_packages(): Add 'vendor' and
    'model' fields for the human readable names from pci/usb databases.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jul 2012 10:41:12 +0200

ubuntu-drivers-common (1:0.2.61) quantal; urgency=low

  * NvidiaDetector/nvidiadetector.py: Fix crash if there is only one card.
    (LP: #1021305)
  * Add share/fake-devices-wrapper: Wrapper script to run a command under a
    mock sysfs tree which pretends to have an NVidia and ATI graphics card,
    and a Broadcom wifi card. This can be used for testing the new
    software-properties or other driver management software.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Jul 2012 16:49:08 +0200

ubuntu-drivers-common (1:0.2.60) quantal; urgency=low

  * libudev uses $SYSFS_PATH, not $SYSFS. Fix test suite accordingly.
  * debian/tests/system: Raise a more specific exception if headers for
    the running kernel are not installed. Thanks to Jean-Baptiste Lallement
    for the intial patch! (LP: #1021386)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Jul 2012 07:47:09 +0200

ubuntu-drivers-common (1:0.2.59) quantal; urgency=low

  * UbuntuDrivers/detect.py: Fix crash on non-ASCII characters in Xorg log.
    Adjust test case to reproduce this. (LP: #1020329).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jul 2012 12:38:39 +0200

ubuntu-drivers-common (1:0.2.58) quantal; urgency=low

  * Add detect-plugins/arm-gles.py, thanks Oliver Grawert! (LP: #1016006)
  * debian/tests/system: Add test for virtualbox-dkms.

