=== debian/tests/control ===
Tests: system
Restrictions: needs-root
