## ubuntu-drivers-common 0.2.75

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.75) raring; urgency=low

  * UbuntuDrivers/detect.py:
    - Add get_linux() which returns the linux metapackage name.
  * UbuntuDrivers/kerneldetection.py:
    - Rely on the source name only for "-lts" packages (a special case).
    - Add KernelDetection.get_linux_metapackage().
  * tests/ubuntu_drivers.py:
    - Add more tests with different kernel names.
    - Extend test coverage to both get_linux() and get_linux_headers()
      from UbuntuDrivers/detect.py.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 30 Jan 2013 12:08:59 +0100

ubuntu-drivers-common (1:0.2.74) raring; urgency=low

  [ Martin Pitt ]
  * hybrid-detect.c: Fix detection of i386 architecture. Thanks Dennis
    Baurichter! (LP: #1096354)

  [ Alberto Milone ]
  * NvidiaDetector/nvidiadetector.py: Exclude -current from the
    recommended flavours. The -current flavour is now a transitional
    package therefore we should not recommend it any more.
  * UbuntuDrivers/kerneldetection.py, UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py: Add support for checking and suggesting
    the required linux headers.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 29 Jan 2013 13:30:50 +0100

ubuntu-drivers-common (1:0.2.73) raring; urgency=low

  * debian/tests/control: Add apport to test dependencies, so that the DKMS
    hook can generate proper crash files which will help with debugging.
  * debian/tests/system: In the Broadcom wifi test, use a proper device class
    and subclass, as the current driver matches on those now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Dec 2012 16:02:42 +0100

ubuntu-drivers-common (1:0.2.72) raring; urgency=low

  [ Matthias Klose ]
  * Build-depend on python3-all.

  [ Dmitrijs Ledkovs ]
  * Use /usr/bin/python3 shebang.

  [ Martin Pitt ]
  * debian/tests/system: Fix duplicate output of error message for test
    failures.
  * tests/ubuntu_drivers.py, test_devices_detect_plugins(): Fix failure if
    special.py occurs first in the output. This bug was triggered by Python
    3.3's new hash randomization behaviour. (LP: #1071997)
  * UbuntuDrivers/detect.py: Fix UnicodeDecodeError crash when encountering a
    package with invalid UTF-8 encoding. Just skip those packages instead. Add
    test to tests/ubuntu_drivers.py.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Nov 2012 15:47:19 +0100
