=== debian/tests/control ===
Tests: system
Depends: ubuntu-drivers-common, apport
Restrictions: needs-root
