## ubuntu-drivers-common 0.2.83

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.83) saucy; urgency=low

  * debian/tests/control: Install libgl1-mesa-glx for the tests, so that
    the fglrx packages don't fail to install.
  * debian/tests/system: nvidia-{310,313} are now transitional, drop tests and
    test nvidia-319{,-updates} instead.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Jul 2013 11:13:45 +0200

ubuntu-drivers-common (1:0.2.82) saucy; urgency=low

  * debian/tests/system: Accept stderr messages from the
    TestUbuntuDrivers.test_bcmwl() test, as this spits out lots of libkmod
    errors due to the rather thin umockdev environment.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Jun 2013 07:30:38 +0200

ubuntu-drivers-common (1:0.2.81) saucy; urgency=low

  * debian/tests/system: Port to umockdev.
  * share/fake-devices-wrapper: Fix fake bcmwl modalias.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 22:23:14 +0200

ubuntu-drivers-common (1:0.2.80) saucy; urgency=low

  * Make test failures non-fatal on powerpc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 17:17:16 +0200

ubuntu-drivers-common (1:0.2.79) saucy; urgency=low

  * Skip test_system_driver_packages_bad_encoding() on powerpc. It's not
    obvious why it fails there, and without a porter box there is little we
    can do.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 14:48:01 +0200

ubuntu-drivers-common (1:0.2.78) saucy; urgency=low

  * debian/tests/system: Drop usage of fakesys.py, should not actually be
    necessary.
  * Drop tests/fakesysfs.py, not used any more and obsolete.
  * Bump Standards-Version to 3.9.4 (no changes necessary).
  * UbuntuDrivers/detect.py, system_aliases(): Tone down "Cannot read modalias
    file" warning into a debug statement; this isn't particularly interesting
    or an error the user could do something about, and it breaks tests on
    powerpc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 13:43:05 +0200

ubuntu-drivers-common (1:0.2.77) saucy; urgency=low

  * detect.py, _get_db_name(): Call "udevadm hwdb" instead of the old
    /lib/udev/*-db helpers; the latter don't exist any more. This brings back
    vendor/product names. Bump udev dependency accordingly. (LP: #1186777)
  * share/fake-devices-wrapper: Rewrite using umockdev, our fakesys.py does
    not work any more with current libudev.
  * Port test suite from fakesys.py to umockdev. Add umockdev build-dependency
    for this (see MIR LP #1190926)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Jun 2013 14:20:21 +0200
