=== debian/control ===
--- 
+++ 
@@ -18,13 +18,15 @@
  python3-gi,
  gir1.2-glib-2.0,
  gir1.2-packagekitglib-1.0,
+ gir1.2-umockdev-1.0,
+ umockdev,
  alsa-utils,
  apt-utils,
  dbus,
  udev,
  pciutils,
  python3-dbus
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common
 X-Python3-Version: >= 3.2
@@ -40,7 +42,7 @@
  pciutils,
  python3-apt,
  python3-xkit,
- udev,
+ udev (>= 204-0ubuntu4~),
  pciutils,
  usbutils,
  alsa-utils
