=== debian/tests/control ===
Tests: system
Depends: ubuntu-drivers-common, apport, python3-gi, gir1.2-umockdev-1.0, umockdev, libgl1-mesa-glx
Restrictions: needs-root
