## ubuntu-drivers-common 0.2.91.4

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.91.4) trusty; urgency=medium

  * Force removal of jockey on upgrades. It has been replaced with
    ubuntu-drivers-common two cycles ago, removed from trusty, and now just
    crashes due to API changes in aptdaemon. (LP: #1216193)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 13 Apr 2014 13:31:11 +0200

ubuntu-drivers-common (1:0.2.91.3) trusty; urgency=medium

  * gpu-manager.c:
    - Move away the xorg.conf if mesa is selected as a
      fallback and binary drivers are still in use in the
      xorg.conf. This will prevent X from failing when
      users on hybrid systems uninstall a binary driver.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 09 Apr 2014 17:06:53 +0200

ubuntu-drivers-common (1:0.2.91.2) trusty; urgency=medium

  * gpu-manager.c:
    - Always check that devices are bound to a driver.
      This works better than blacklisting the 0380 class, and
      should help systems such as the one in LP: #1301839.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 07 Apr 2014 17:52:29 +0200

ubuntu-drivers-common (1:0.2.91.1) trusty; urgency=medium

  * debian/control, debian/rules:
    - Obsolete and replace fglrx-pxpress. The gpu-manager
      already deals with AMD GPUs.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 21 Mar 2014 19:03:20 +0100

ubuntu-drivers-common (1:0.2.91) trusty; urgency=medium

  * debian/control:
    - Add build dependency on libdrm-dev.
  * debian/rules:
    - Remove /etc/init/hybrid-gfx.conf.
    - Also remove the current upstart job from the architectures
      that don't ship gpu-manager.
  * gpu-manager.c, tests/gpu-manager.py:
    - Replace laptop specific hack to detect the need to offload
      rendering to the discrete card with code that opens the
      available drm devices and checks the connected outputs.
      If any outputs are connected to the Intel card, then we
      choose offloading. This also helps when the monitor is
      still connected to Intel on desktop systems with Intel +
      NVIDIA systems.
    - Preliminary work to reduce code duplication in nvidia-prime.
  * tests/ubuntu_drivers.py:
    - Do not abort if test_auto_install_system fails.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Mar 2014 14:49:04 +0100

ubuntu-drivers-common (1:0.2.90) trusty; urgency=low

  * gpu-manager.c, gpu-manager.py:
    - Match only PCI_CLASS_DISPLAY, except for PCI_CLASS_DISPLAY_OTHER.
    - Re-enable outputs connected to NVIDIA discrete cards. This only
      affects Optimus systems (LP: #1290711).
    - Prevent possible buffer overflow when reading the configuration
      from last boot.
    - Clean up and make get_output() more robust (LP: #1290831).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 13 Mar 2014 10:15:06 +0100

ubuntu-drivers-common (1:0.2.89.6) trusty; urgency=low

  * gpu-manager.c:
    - Take action if settings don't match the current bbswitch status
      (LP: #1289420).

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 08 Mar 2014 17:07:28 +0100

ubuntu-drivers-common (1:0.2.89.5) trusty; urgency=low

  * tests/run:
    - Skip gpu-manager.py on anything other than the x86 family.

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 08 Mar 2014 01:26:18 +0100

ubuntu-drivers-common (1:0.2.89.4) trusty; urgency=medium

  [ Martin Pitt ]
  * Reenable tests.
  * Mark the three failing tests as expected failure instead of skipping them
    entirely, so that we can see what they do on the buildds.

  [ Alberto Milone ]
  * tests/gpu-manager.py:
    - Refactor the test suite by reusing more code and reducing the
      overall code.
    - Add test case for zero length dmi product version.
  * share/hybrid/gpu-manager.c:
    - Do not try to match quirks if dmi product version has zero length
      (LP: #1289298).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 07 Mar 2014 22:54:22 +0100

ubuntu-drivers-common (1:0.2.89.3) trusty; urgency=low

  * debian/rules:
    - Temporarily disable all tests. We'll switch them back on as
      soon as we find out the cause of these failures.
  * tests/gpu-manager.py:
    - Do not run on anything but x86 family.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 16:30:54 +0100

ubuntu-drivers-common (1:0.2.89.2) trusty; urgency=low

  * tests/gpu-manager.py:
    - Fix FTBFS.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 11:45:29 +0100

ubuntu-drivers-common (1:0.2.89.1) trusty; urgency=low

  * tests/gpu-manager.py:
    - Remove leftover print that caused tests to fail in -proposed.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 10:47:44 +0100

ubuntu-drivers-common (1:0.2.89) trusty; urgency=low

  * debian/control:
    - Breaks: nvidia-prime (<< 0.6). We don't want the gpu-manager
      to compete with the old nvidia-prime on hybrid systems.
  * share/hybrid/gpu-manager.c:
    - Fix memory leaks and complete the different test cases.
  * tests/gpu-manager.py:
    - Add test suite for gpu-manager to reproduce different
      hardware/software scenarios.
  * UbuntuDrivers/detect.py, tests/ubuntu_drivers.py:
    - Enable installing graphics drivers on laptops with hybrid
      graphics (LP: #1126234), and on desktop systems where the
      BIOS doesn't disable the integrated GPU when a discrete
      card is available (LP: #1126234). This is now possible
      thanks to the gpu-manager (now enabled by default).
  * Replace the deprecated hybrid-detect program with gpu-manager (now
    enabled by default). In case of problems with the gpu-manager, it
    can be disabled by passing "nogpumanager" as a boot parameter.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 09:24:54 +0100

ubuntu-drivers-common (1:0.2.88) trusty; urgency=medium

  * debian/tests/control: Add missing linux-headers test dependency.
  * Drop python3-aptdaemon.pkcompat recommends to a suggests, to avoid pulling
    it into Kubuntu.

