## ubuntu-drivers-common 0.2.91.12

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.91.12) trusty-proposed; urgency=medium

  * Backport from yakkety version 1:0.4.22: gpu-manager.c, gpu-manager.py:
    - Add all the necessary changes for nvidia and hybrid graphics to
      handle the new kernel modules and the EGL alternatives (LP: #1642662).
      Also detect the new amdgpu driver.
    - Leave gdm support disabled, since gdm is still missing a patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 21 Nov 2016 12:04:49 +0100
