=== debian/control ===
--- 
+++ 
@@ -25,8 +25,9 @@
  dbus,
  udev,
  pciutils,
+ libdrm-dev,
  python3-dbus
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://github.com/tseliot/ubuntu-drivers-common.git
 Vcs-Browser: https://github.com/tseliot/ubuntu-drivers-common
 X-Python3-Version: >= 3.2
@@ -45,11 +46,13 @@
  udev (>= 204-0ubuntu4~),
  pciutils,
  usbutils,
- alsa-utils
-Recommends: python3-aptdaemon.pkcompat
-Replaces: nvidia-common (<< 1:0.2.46)
-Conflicts: nvidia-common (<< 1:0.2.46)
-Provides: nvidia-common
+ alsa-utils,
+ kmod | module-init-tools,
+Suggests: python3-aptdaemon.pkcompat
+Replaces: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
+Conflicts: nvidia-common (<< 1:0.2.46), jockey-common, jockey-gtk, jockey-kde
+Breaks: nvidia-prime (<< 0.6)
+Provides: nvidia-common, jockey-common, jockey-gtk, jockey-kde
 Enhances: packagekit-system-interface
 Description: Detect and install additional Ubuntu driver packages
  This package aggregates and abstracts Ubuntu specific logic and knowledge
@@ -96,3 +99,12 @@
 Description: transitional package for ubuntu-drivers-common
  This is a transitional package for ubuntu-drivers-common. You can remove it
  after upgrading.
+
+Package: fglrx-pxpress
+Section: oldlibs
+Priority: extra
+Architecture: i386 amd64
+Depends: ubuntu-drivers-common, ${misc:Depends}
+Description: transitional package for ubuntu-drivers-common
+ This is a transitional package for ubuntu-drivers-common. You can remove it
+ after upgrading.
