=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,24 @@
 override_dh_auto_install:
 	$(call py3sdo, setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb)
 
-#override_dh_auto_test:
-#ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	$(call py3sdo, setup.py egg_info)
-#	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
-#endif
+override_dh_auto_test:
+ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	$(call py3sdo, setup.py egg_info)
+	set -e; $(foreach py, $(shell py3versions -r), PYTHONPATH=. $(py) -B tests/run || [ "$(DEB_HOST_ARCH)" = powerpc ];)
+endif
 
 override_dh_auto_clean:
 	$(call py3sdo, setup.py clean)
 
 override_dh_install:
-	dh_install --fail-missing
+	dh_install --fail-missing -Xsbin -Xlib/udev
+
+	# on architectures where we build gpu-manager, install the
+	# the udev rule, and the script for gpu detection
+	if [ -d debian/tmp/lib/udev ]; then \
+		dh_install -p ubuntu-drivers-common lib/udev/rules.d; \
+		dh_install -p ubuntu-drivers-common sbin; \
+	fi
 
 	# build dh_modaliases manpage
 	mkdir -p debian/dh-modaliases/usr/share/man/man1
