## ubuntu-drivers-common 0.2.91.12linuxmint1

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.91.12linuxmint1) rosa; urgency=medium

  [ Clement Lefebvre ]
  * Rebase on 0.2.91.12
  * Add MDM support
  * Broadcom: Recommend STA, but also list B43 firmware installers

  [ wzhy90 ]
  * fixes: quirkinfo.py UnicodeDecodeError for utf-8

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2016 11:04:13 +0000
