## ubuntu-drivers-common 0.2.98.4

=== debian/changelog ===
ubuntu-drivers-common (1:0.2.98.4) utopic; urgency=medium

  * debian/tests/system, tests/ubuntu_drivers.py,
    UbuntuDrivers/detect.py:
    - Revert the previous changes that made us switch from bcmwl to
      the open driver, as the latter (in order to be a full replacement)
      seems to require firmware that we cannot include in the Ubuntu
      image because of licensing issues (LP: #1374126).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 09 Oct 2014 16:42:53 +0200

ubuntu-drivers-common (1:0.2.98.3) utopic; urgency=medium

  * gpu-manager.c:
    - Add support for "gpumanager_uxa" and "gpumanager_modesetting"
      boot parameters, so that there is an option to force NVIDIA
      Optimus systems (that don't work well with Intel/SNA) to use
      either Intel/UXA or modesetting (LP: #1365695).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 18 Sep 2014 12:15:34 +0200

ubuntu-drivers-common (1:0.2.98.2) utopic; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Be more tolerant with xorg.confs. This fixes the multi AMD
      GPU use case where aticonfig insists on not setting the
      PCI domain in the xorg.conf (LP: #1310489). Also add a test
      with one of the xorg.confs from the bug report so that we
      do not regress in the future.

 -- Alberto Milone <alberto.milone@canonical.com>  Sun, 07 Sep 2014 09:28:20 +0200

ubuntu-drivers-common (1:0.2.98.1) utopic; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Avoid false positives with blacklisted modules (LP: #1363675).
    - Add regression test for the bug.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Sep 2014 18:01:09 +0200

ubuntu-drivers-common (1:0.2.98) utopic; urgency=medium

  * gpu-manager.c, gpu-manager.py:
    - Add support for testing core alternatives. This will be needed
      by fglrx.
    - Add the --backup-log parameter. This is only used for debugging
      and disabled by default.
    - Fix a regression that caused the gpu-manager to switch to mesa
      after enabling fglrx on hybrid systems (LP: #1310489). Also
      add a test case so that we don't regress in the future.
    - Check that either fglrx or nvidia is set in xorg.conf when
      xorg.conf is needed.
    - Check if kernel modules are blacklisted before choosing the
      driver (LP: #1310489).
    - Enable only GPUs with open drivers that have connected outputs.
      Attaching to GPUs that have no connected outputs would result
      in a black screen.
    - Allow RandR offloading even without bbswitch (LP: #1349282).
    - Fall back to mesa when failing to enable prime.
    - Do not try to enable prime if the nvidia driver is older than
      331.
    - Do not abort if the settings for prime cannot be found.
      Try creating the file before failing.
    - Avoid false positives of unloaded modules.
    - Use the cleanup attribute.
    - Always use snprintf instead of sprintf.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 27 Aug 2014 10:39:17 +0200

ubuntu-drivers-common (1:0.2.97) utopic; urgency=medium

  * tests/testarchive.py: Organize debs in pool/ structure, for better
    reusability.
  * tests/ubuntu_drivers.py: Drop expected failures, they've succeeded for a
    long time. This needs to be fixed properly if there's a bug.
  * sl-modem plugin: Keep environment for aplay, just ensure it's using the C
    locale. (LP: #1296425)
  * Disable linux-firmware-nonfree autopkgtest for now. bcma does not declare
    any firmware dependencies and linux-firmware-nonfree does not declare
    modaliases, so it either just works now, or the driver needs fixing first.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Aug 2014 10:13:11 +0200

ubuntu-drivers-common (1:0.2.96.1) utopic; urgency=medium

  * gpu-manager.c:
    - Make sure to unload nvidia-uvm or nvidia won't be
      unloaded.
    - Make sure to walk properly the /dev/dri dir. This
      prevents the program from stopping when, for example
      /dev/dri/card1 is available while /dev/dri/card0 is
      not.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 11 Jun 2014 17:29:38 +0200

ubuntu-drivers-common (1:0.2.96) utopic; urgency=medium

  * gpu-manager.c:
    - Try harder when loading bbswitch (LP: #1310023).
      If loading bbswitch fails try with or without the
      "skip_optimus_dsm=1" option.
    - Switch to intel/SNA for optimus systems (LP: #1326257).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 04 Jun 2014 15:59:24 +0200

ubuntu-drivers-common (1:0.2.95) utopic; urgency=medium

  [ Tim Lunn ]
  * gpu-manager.c, gpu-manager.conf:
    - Use the gpu-manager with GDM too now that support for
      it has landed in Utopic (LP: #1262068).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 30 May 2014 14:09:31 +0200

ubuntu-drivers-common (1:0.2.94) utopic; urgency=medium

  * gpu-manager.c, tests/gpu-manager.py:
    - Trim dmi resources or matching will give false positives.
      This should fix LP: #1310516 for good.
    - Re-enable checking alternatives for pxpress.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 May 2014 13:28:31 +0200

ubuntu-drivers-common (1:0.2.93) utopic; urgency=medium

  * gpu-manager.c, tests/gpu-manager.py:
    - Add support for matching dmi product name (LP: #1310516).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 May 2014 15:50:11 +0200

ubuntu-drivers-common (1:0.2.92.2) utopic; urgency=medium

  * gpu-manager.c:
    - Revert switch to the intel driver from modesetting until
      some issues are fixed.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 28 Apr 2014 18:37:02 +0200

ubuntu-drivers-common (1:0.2.92.1) utopic; urgency=medium

  * debian/tests/system, tests/ubuntu_drivers.py:
    - Fix the relevant tests now that linux-firmware-nonfree
      has replaced bcmwl.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 28 Apr 2014 18:03:45 +0200

ubuntu-drivers-common (1:0.2.92) utopic; urgency=medium


