## ubuntu-drivers-common 0.4.5

=== debian/changelog ===
ubuntu-drivers-common (1:0.4.5) vivid; urgency=medium

  * Call dh_systemd_enable after installing gpu-manager.service, so that the
    unit actually gets enabled. Also quiesce the confusing error messages
    about nonexisting binary package directories. (LP: #1443364)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Apr 2015 07:01:15 -0500

ubuntu-drivers-common (1:0.4.4) vivid; urgency=medium

  * debian/tests/system: Re-enable fglrx tests and update them for the
    fglrx-core split.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Apr 2015 12:47:48 +0200

ubuntu-drivers-common (1:0.4.3) vivid; urgency=medium

  * debian/tests/system: Don't use --auto-remove on purge, to avoid removing
    our test dependencies.
  * debian/tests/system: Set noninteractive debconf frontend, to avoid debconf
    error messages.
  * debian/tests/system: Mark fglrx tests as expected failures, the current
    fglrx driver is known to be incompatible with current X.org.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Apr 2015 11:44:45 +0200

ubuntu-drivers-common (1:0.4.2) vivid; urgency=medium

  * gpu-manager.c:
    - Do not abort when dealing with sddm. This allows users to get
      partial support for hybrid graphics when using sddm instead of
      lightdm.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 09 Apr 2015 12:51:23 +0200

ubuntu-drivers-common (1:0.4.1) vivid; urgency=medium

  * debian/tests/system:
    - Add test for nvidia-346 and change the ids for nvidia-340.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Mar 2015 17:47:05 +0100

ubuntu-drivers-common (1:0.4) vivid; urgency=medium

  [ Dimitri John Ledkov ]
  * Add cpu-microcode detect-plugin. (LP: #1386257)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Feb 2015 14:52:28 +0100

ubuntu-drivers-common (1:0.3) vivid; urgency=medium

  * debian/tests/system: nvidia-331 is transitional now, so adjust tests to
    use nvidia-340.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Feb 2015 10:38:48 +0100

ubuntu-drivers-common (1:0.2.98.9) vivid; urgency=medium

  * gpu-manager.c:
    - Ignore pci passthroughs (LP: #1397124).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 08 Dec 2014 10:56:17 +0100

ubuntu-drivers-common (1:0.2.98.8) vivid; urgency=medium

  * gpu-manager.service: Log into /var/log/gpu-manager.log so that we can pick
    this up from apport.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Dec 2014 15:28:24 +0100

ubuntu-drivers-common (1:0.2.98.7) vivid; urgency=medium

  * Only install systemd unit on architectures where gpu-manager gets built.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Dec 2014 14:59:47 +0100

ubuntu-drivers-common (1:0.2.98.6) vivid; urgency=medium

  * setup.py: Drop unnecessary glob().
  * tests/ubuntu_drivers.py: Set SYSTEMD_LOG_LEVEL to avoid failing on
    unexpected udevadm debug spew if the kernel gets booted with "debug".
    Fixes FTBFS on our arm64 builders.
  * Add systemd unit for gpu-manager.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Dec 2014 13:36:11 +0100

ubuntu-drivers-common (1:0.2.98.5) vivid; urgency=medium

  * gpu-manager.c:
    - Refine checks for blacklisted modules, so that we don't end up
      catching false positives (LP: 1376966).
      Thanks to Pär Lindfors for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 30 Oct 2014 11:36:55 +0100
