=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 9),
  po-debconf,
  dh-apport,
+ dh-systemd,
  python3-all (>= 3.2),
  python3-setuptools,
  libpciaccess-dev (>= 0.12.1-2),
